1

i am running alpine:edge on docker

# ldd /usr/bin/php
/lib/ld-musl-x86_64.so.1 (0x5611c8e92000)
libxml2.so.2 => /usr/lib/libxml2.so.2 (0x7f5bfc8a5000)
libc.musl-x86_64.so.1 => /lib/ld-musl-x86_64.so.1 (0x5611c8e92000)
libz.so.1 => /lib/libz.so.1 (0x7f5bfc68f000)

# php -v
Failed loading /etc/php7/ioncube_loader_lin_x86-64_7.0b8.so:  Error relocating /etc/php7/ioncube_loader_lin_x86-64_7.0b8.so: __strtod_internal: symbol not found
PHP 7.0.10 (cli) (built: Aug 27 2016 14:15:36) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies

Under Ubuntu 16.04 LTS it's working like a charm

# ldd /usr/bin/php
linux-vdso.so.1 =>  (0x00007ffd555f5000)
libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f0a1cd50000)
libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f0a1cb36000)
libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f0a1c8c5000)
libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f0a1c5bc000)
libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f0a1c3b8000)
libxml2.so.2 => /usr/lib/x86_64-linux-gnu/libxml2.so.2 (0x00007f0a1bffd000)
libssl.so.1.0.0 => /lib/x86_64-linux-gnu/libssl.so.1.0.0 (0x00007f0a1bd94000)
libcrypto.so.1.0.0 => /lib/x86_64-linux-gnu/libcrypto.so.1.0.0 (0x00007f0a1b939000)
libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f0a1b56f000)
libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f0a1b352000)
/lib64/ld-linux-x86-64.so.2 (0x000055a3b4441000)
libicuuc.so.55 => /usr/lib/x86_64-linux-gnu/libicuuc.so.55 (0x00007f0a1afbe000)
liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f0a1ad9b000)
libicudata.so.55 => /usr/lib/x86_64-linux-gnu/libicudata.so.55 (0x00007f0a192e4000)
libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f0a18f61000)
libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f0a18d4b000)


# php -v
PHP 7.0.8-0ubuntu0.16.04.2 (cli) ( NTS )
Copyright (c) 1997-2016 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2016 Zend Technologies
with the ionCube PHP Loader v6.0.0, Copyright (c) 2002-2016, by ionCube Ltd.
with Zend OPcache v7.0.8-0ubuntu0.16.04.2, Copyright (c) 1999-2016, by Zend Technologies
4
  • I installed the apk glibc pkg but I am failing to make php run against it, do I need to recompile it?
    – kritop
    Sep 9, 2016 at 22:40
  • You would have to recompile ionCube, which you can't because it's proprietary. Sep 9, 2016 at 22:41
  • but I have glibc installed on alpine in a secondary lib folder, just php is not picking it up
    – kritop
    Sep 9, 2016 at 22:43

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.